PSA tickets
Tickets Warden has raised in PSA for findings, and raising one by hand.
| Method | Path | Summary |
|---|---|---|
| GET | /api/tickets | List Warden's PSA tickets |
| POST | /api/tickets | Raise a PSA ticket for a finding |
#List Warden's PSA tickets
GET
/api/tickets- Address
https://<your-org>.brambleit.cloud/warden/api/tickets- Requires
- Signed-in browser session (the
sso_session/session_idcookies from Bramble sign-in).
Licence: Warden.
Response 200
| Field | Type | Description |
|---|---|---|
tickets | array of object | |
tickets[].id | integer | |
tickets[].tenant_id | integer | |
tickets[].device_id | string | |
tickets[].package | string | |
tickets[].psa_ticket_id | integer | |
tickets[].rule_id | integer, or null | |
tickets[].created_by | string, or null | |
tickets[].status | string: "open" | "closed" | |
tickets[].created_at | string (date-time), or null | |
tickets[].closed_at | string (date-time), or null | |
tickets[].rule_name | string | |
tickets[].findings | any | |
tickets[].open_findings | any | |
tickets[].device_name | integer | |
tickets[].psa | any |
Example response
JSON
{
"tickets": [
{
"id": 42,
"tenant_id": 1,
"device_id": "string",
"package": "string",
"psa_ticket_id": 7,
"rule_id": 7,
"created_by": "string",
"status": "open",
"created_at": "2026-11-12T09:30:00.000Z",
"closed_at": "2026-11-12T09:30:00.000Z",
"rule_name": "Example rule name",
"findings": null,
"open_findings": null,
"device_name": 1,
"psa": null
}
]
}Example request
JavaScript
// From a page served by Bramble (uses the signed-in session)
const res = await fetch('/warden/api/tickets', {
method: 'GET',
credentials: 'include',
});
const data = await res.json();#Raise a PSA ticket for a finding
POST
/api/tickets- Address
https://<your-org>.brambleit.cloud/warden/api/tickets- Requires
- Signed-in browser session (the
sso_session/session_idcookies from Bramble sign-in).
Licence: Warden.
Request body JSON
| Name | Type | Description |
|---|---|---|
device_id | integer | |
package | string | |
device_ids | array of any |
Response 201
| Field | Type | Description |
|---|---|---|
results | array of any |
Example response
JSON
{
"results": []
}Example request
JavaScript
// From a page served by Bramble (uses the signed-in session)
const res = await fetch('/warden/api/tickets', {
method: 'POST',
credentials: 'include',
headers: { 'Content-Type': 'application/json' },
body: JSON.stringify({"device_id":7,"package":"string","device_ids":[]}),
});
const data = await res.json();Was this page helpful?
Thanks for your feedback.